
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #46

License clarification would be nice

January 12, 2012 11:49 - Michael Schwendt

Status: Closed Start date: January 12, 2012

Priority: Minor Due date:  

Assignee: John Lindgren % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.3   

Affects version: 3.2   

Description

README file doesn't mention the licensing

there's file GPL2.txt

there's file GPL3.txt

libaudclient/audctrl.h is GPL2 only - just a typo?

libeggsmclient/ is LGPL "v2 (or later)"

libaudtag/ is GPL3, id3/ is GPL2 or 3 and GPL3

libaudgui/ is some 2-clause BSD variant  plus GPL3

audtool/ is some 3-clause no-advertizing BSD variant

audacious/ is GPL, GPL2 or GPL3, and GPL3

I've been under the assumption that the combined work "Audacious" applies the GPLv3 licensing terms, even if some source files

apply a different but compatible Open Source license.

History

#1 - January 12, 2012 16:01 - John Lindgren

The combined work is GPL3.  Clarifying and correcting the copyright notices (individual and combined) is a work in progress. (At present, a number of

files are still copyright "The Audacious Team", which was never a legal entity, to my knowledge, and has essentially dissolved.)

#2 - February 04, 2012 05:21 - John Lindgren

- Assignee set to John Lindgren

- Target version set to 3.3

- Affects version 3.2 added

- Affects version deleted ()

#3 - June 16, 2012 17:55 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

The COPYING file gives the whole story now:

https://github.com/audacious-media-player/audacious/blob/master/COPYING
